gopher (3.0.19) unstable; urgency=medium

  * Fix GCC 14 compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 02 Jun 2025 11:53:22 -0500

gopher (3.0.18) unstable; urgency=medium

  * Apply Hurd compatibility patch from João Pedro Malhado.
    Closes: #346447.
  * Added Vcs lines to debian/control.
  * Updated homepage in debian/copyright.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 24 Apr 2025 17:32:53 -0500

gopher (3.0.17.4) unstable; urgency=medium

  * Ack NMU.
  * No longer chmod in debian/rules.  Closes: #1092431.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 06 Feb 2025 19:34:48 -0600

gopher (3.0.17.3+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/source/format: Explicitly use "3.0 (native)" format.
  * debian/changelog: Remove trailing spaces.
  * debian/rules: Provide recommended targets: build-arch, build-indep.
  * debian/rules: Use dh_autoreconf and dh_auto_configure to fix FTBFS
    with autoconf 2.70+. (Closes: #978822)
    + Also fixes FTCBFS. (Closes: #950897)

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Sep 2021 01:57:34 -0400

gopher (3.0.17.3) unstable; urgency=medium

  * Remove empty directories.  Closes: #942181.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Oct 2019 11:09:18 -0500

gopher (3.0.17.2) unstable; urgency=low

  * Really fix it this time.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 Oct 2019 00:27:15 -0500

gopher (3.0.17.1) unstable; urgency=medium

  * Correct a mistake in debian/changelog

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 Oct 2019 00:24:19 -0500

gopher (3.0.17) unstable; urgency=medium

  * dh_clean -k -> dh_prep (debhelper)
  * Bump standards-version
  * Fix alignment issue in gopher directories.  Closes: #789892.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 Oct 2019 23:13:11 -0500

gopher (3.0.16) unstable; urgency=low

  * Bump compat to 9.  Closes: #817485.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 29 May 2016 21:18:52 -0500

gopher (3.0.15) unstable; urgency=medium

  * Correct possible segfault in option parsing.  Closes #715977, #715978.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 19:00:08 -0600

gopher (3.0.14) unstable; urgency=medium

  * Fix Debian (Closes: #798758) thanks to patch from Axel Beckert
    + Use autoconf and gnulib instead of autoconf2.13.
    + debian/rules: configure-stamp is a dependency of build-stamp, not build.
    + debian/rules: Add symlink to /usr/share/gnulib/lib/getloadavg.c and
      remove it again in the clean target.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 11:47:19 -0600

gopher (3.0.13) unstable; urgency=low

  * More changes to download.c to prefer getcwd() to get_current_dir_name().
    Closes: #366560.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2006 11:10:31 -0500

gopher (3.0.12) unstable; urgency=low

  * Applied patch to make it build for Hurd.  Closes: #346447.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 10:37:49 -0500

gopher (3.0.11) unstable; urgency=high

  * [security] Fix for client buffer overflows [CAN-2005-2772].

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Sep 2005 05:24:02 -0500

gopher (3.0.10) unstable; urgency=low

  * Version 3.0.8 fixed the security bug that was later submitted
    as CAN-2005-1853 and DSA-770-1.
  * The upload for this changelog notice was requested by the Debian
    testing-security team.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 30 Jul 2005 16:16:07 -0500

gopher (3.0.9) unstable; urgency=low

  * Updated version number in patchlevel.h.  (Oops, it still says 3.0.5)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:55:50 -0500

gopher (3.0.8) unstable; urgency=low

  * Fix compile error with gcc 3.4.  Closes: #258752.
  * Fixed warnings relating to prototypes.  In download.c,
    prefer getcwd() to get_current_dir_name().  Closes: #226552.
  * No longer crash on problems piping to external programs.
    Thanks, Goeran Weinholt, for the patch.  Closes: #128990.
  * Install makes dirs for manpages if they don't already exist.
    Combined with other fixes in this version and prior versions,
    all bugs in 142913 are resolved.  Closes: #142913.
  * [debian] Removed build-deps on build-essential packages.
    Closes: #262423.
  * [debian] Updated standards-version and to new debhelper.
  * Fixed a small memory leak in download.c.
  * Fix potential insecure /tmp usage in gopher.c.
  * Use socklen_t instead of int for socket length operations,
    avoiding warnings about incorrect signedness.
  * Updated copyright files.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:41:40 -0500

gopher (3.0.7) unstable; urgency=low

  * Use Autoconf 2.13 on Debian systems.  Closes: #206183.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Aug 2003 12:59:02 -0500

gopher (3.0.6) unstable; urgency=low

  * Deprecated gopherd in favor of PyGopherd.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 12:11:17 -0500

gopher (3.0.5) unstable; urgency=low

  * Integrated my patch to 3.0.4 for Solaris compilation.
  * Logging with chroot has long since been fixed; added a note to
    startopts about other chroot stuff.  Closes: #82590, #82591.
  * Gopherd sometimes sent "+INFO " instead of "+INFO: ".  Fixed.
    Closes: #142912.
  * doc/Makefile.in: Install manpages 0644 instead of 0755.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Apr 2002 09:09:55 -0500

gopher (3.0.4) unstable; urgency=low
  * MAJOR rewrite of regex support.  This should make gopher
    compile and work better on several platforms.
  * Added regcomp and regree func checks to configure.in and
    regenerated configure and config.h
  * Removed the DOMAIN configure support, DOMAIN_NAME in gopherd,
    backupdomain in Socket.c, etc.  This should prevent the no.domain.name
    problem that people have been seeing.  Regenerated configure stuff.
  * Added line for .png to gopherd.conf.in
  * Added note about UFS builds on MacOS X to doc/PLATFORMS
  * Added FAQ and modified debian/docs
  * Updated gopherd.8 with information about type 'i'
  * Fixed gopher's URL handling -- it was missing the type character.
    Closes: #138337.
  * Another regex change.  Let's hope this fixes things for Solaris.
  * Fixed to properly calculated first arg to select in gopherd.c

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Mar 2002 13:08:39 -0500

gopher (3.0.3) unstable; urgency=low
  * Patches for FreeBSD:
    * Test in configure for stdlib.h
    * Include stdlib.h if it's available in Malloc.h
    * Don't include malloc.h if it's missing in Malloc.h
    * Don't include strcasestr if it's present in util.c and util.h
  * Actually use our configure.in test for malloc.h in object/* files.
  * New configure.in tests for regexp.h and libgen.h
  * Regex.c: define __GOPHER_REGEX_C__ for extern support in Regex.h
  * Regex.c: For __APPLE__, REGEX_param is regexp *.
  * Regex.h: Move the lengthy SYSV regex test to top of file
  * Regex.h: Wrap libgen.h include in HAVE_LIBGEN_H
  * Regex.h: Enclose REGEX_param=regcomp in parens to avoid warnings
  * Regex.h: Add extern for REGEX_param.
  * Regex.h: Darwin is unlike anything else.  Support it with
    __APPLE__.
  * STRstring.h: Include malloc.h only if actually here.
  * Ditto for Stdlib.h.
  * Added /etc/logrotate.d/gopherd to gopherd.conffiles.
    Closes: #132804.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Feb 2002 07:45:00 -0500

gopher (3.0.2) unstable; urgency=low

  * gopher: Removed processing of . at end of text files.  It would stop
    downloading when it would see ".\n" in a file.  Will need to modify
    gopher/ourutils.c:937 area to deal with this properly -- ignore
    .\n if it's at the end of the file, otherwise preserve it.
    Reported by Ashok Aiyar <aiyar@ebv.mimnet.nwu.edu>
  * Did the modification as described above.
  * Updated README.
  * Global change gopher@boombox.micro.umn.edu -> gopher@complete.org
  * Removed ./GPL.  This info is now in the file COPYING.
  * Changes to work with Solaris:
    * configure.in: Now looks for strings.h and string.h
    * object/Regex.h: Now include re_comp.h if available.
      Include regex.h only if re_comp.h is unavailable.
      Define the SYSVREGEX stuff only if HAVE_RE_COMP_H is not defined
    * object/String.h: Include string.h and strings.h based on configure
      test.
    Reports from Don Fike <fike@cs.utk.edu>
  * Added doc/PLATFORMS and updated debian/docs
  * gopherd.conf's include of gopherdlocal.conf was hardcoded to /etc.
    Now use configure's sysconfdir to generate it.  Moved gopherd.conf
    to gopherd.conf.in, modified Makefile.in to support this, removed
    gopherd.conf from source tree.  Reported by Kevin Griffin
    <vertov@artstar.com>
  * Added lines to gopherd.conf.in for .ogg and .mp2 files.
    Suggestion from Kevin Griffin <vertov@artstar.com>
  * Using $(INSTALL) from subdirectories broke on systems
    where install-sh was used because $(INSTALL) would always
    resolve to ./install-sh.  Replaced all instances of
    $(INSTALL) with @INSTALL@ (autoconf would provide the correct
    path) and removed INSTALL from Makefile.config.  Reported
    by Don Fike <fike@cs.utk.edu> on Solaris 2.6.
  * Updated our copy of install-sh with the one from
    a current automake.
  * Updated patchlevel.h for release of 3.0.2.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2002 07:45:00 -0500

gopher (3.0.1) unstable; urgency=low

  * Installation routines modified -- pass -d to install to create
    config dirs.  This should fix installation problems.
  * Use sysconfigdir rather that $(DESTDIR)/etc for config files.
  * Fix a bug with specifying the gopher host on the command line.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Jan 2002 07:30:00 -0500

gopher (3.0.0-1) unstable; urgency=low

  * Patched to work with Hurd.  Closes: #115511.  Uses
    suggestions from James Morrison <ja2morri@student.math.uwaterloo.ca>
    but not his patch.
    * gopher.c, gopherd/error.c, gopher/download.c:
      Modified to use HAVE_STRERROR
    * configure.in: Modified with checks for sys/param.h, HURD header files,
      get_current_dir_name, etc.
    * configure.h.in, configure: rebuilt.
  * Moved the current UMN Copyright notice in "COPYING" into "copyright"
  * Updated copyright files, etc. with current info.
  * Updated the locales with semi-current copyright stuff.
  * Updated greeting in gopher and gopherd.
  * This is Gopher 3.0.0, the Furry Terror release.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  8 Jan 2002 15:31:00 -0500

gopher (2.3.1-15) unstable; urgency=low

  * NetBSD port effort began.
  * Added crypt.h to configure.in's list of headers to look for.
    Reran autoconf/autoheader.
  * Modified gopherd/AUTH.h to include crypt.h only if it's available
    and to include unistd.h if it's available.  (NetBSD)
  * Integrated patches from David Allen <s2mdalle@titan.vcu.edu>
    (may have been done earlier anyway)
  * config.h.in: rebuilt by autoheader
  * configure: rebuilt by autoconf
  * configure.in:
    * Added REGEXLIBS test for NetBSD -- look for re_comp in -lcompat
    * Added checkes for term.h, re_comp.h, regex.h
  * gopher/ourutils.c, gopher/CURcurses.c: Use term.h check
  * gopher/Makefile.in, gopherd/Makefile.in, gophfilt/Makefile.in:
    * Use REGEXLIBS
  * gopher/globals.h, gopher/gopher.c: Remove sys_errlist
  * object/GSgopherobj.c: Removed <regex.h> #include, now use
    "Regex.h" that has proper regex determining logic
  * object/Regex.h: Moved regex.h include to here.  Make it conditional
    based on configure test.  Add conditional re_comp.h include.
  * gopherd/gopherd.c: Add init of view and filter after setjmp
    to eliminate clobbering due to longjmp and a warning.  Cast
    parameters to *printf to long as appropriate.
  * AUTH.h: Add missing AUTHITEMSprocessLine prototype
  * AUTH.h: Add a check to prevent including twice.
  * gopherdconf.c: Add a missing prototype.
  * AUTH.c: add missing include of GGroup.h
  * download.c: Added cast to long for some *printf's
  * Now compiles with only one warning on NetBSD.
  * This is Gopher 20020108-01.cvs
  * object/Regex.h: now conditionally includes sys/types.h for regex.h
  * This is Gopher 20020108-02.cvs

 -- John Goerzen <jgoerzen@complete.org>  Tue,  8 Jan 2002 13:11:00 -0500

gopher (2.3.1-14) unstable; urgency=low

  * Added build-depends on autoconf.  Closes: #113255.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  1 Nov 2001 12:49:00 -0500

gopher (2.3.1-13) unstable; urgency=low

  * Added Build-Depends.  Closes: #94237.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Apr 2001 11:00:04 -0500

gopher (2.3.1-12) unstable; urgency=low

  * Only chown /var/gopher if it's just created.  Closes: #89557.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  6 Apr 2001 15:35:16 -0500

gopher (2.3.1-11) unstable; urgency=low

  * Many sprintf -> snprintf changes.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Jan 2001 15:22:09 -0500

gopher (2.3.1-10) unstable; urgency=low

  * Added mp3 MIME type.  Closes: #81529.
  * Now logs about chroot status on server startup.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Jan 2001 13:11:25 -0500

gopher (2.3.1-9) unstable; urgency=low

  * Fixed potential buffer overflows.  Closes: #82602.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Jan 2001 12:12:51 -0500

gopher (2.3.1-8) unstable; urgency=low

  * Update to latest code in CVS, much from
    David Allen <s2mdalle@titan.vcu.edu>
  * Fixed dh_testversion to 2.0.103.  Closes: #79883.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  6 Jan 2001 20:06:01 -0500

gopher (2.3.1-7) unstable; urgency=low

  * A new debian rev to fix the access: problem in the gopherdlocal.conf.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Dec 2000 23:40:09 -0500

gopher (2.3.1-6) unstable; urgency=low

  * Added many excellent code patches and cleanups from
    David Allen <s2mdalle at titan.vcu.edu>.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Dec 2000 20:18:09 -0500

gopher (2.3.1-5) unstable; urgency=low

  * Additional code modifications and fixes.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Dec 2000 17:03:56 -0500

gopher (2.3.1-4) unstable; urgency=low

  * Disable authentication for the moment due to security concerns.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 17 Oct 2000 23:49:20 -0500

gopher (2.3.1-3) unstable; urgency=low

  * Added startopts as a gopherd conffile.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 22 Aug 2000 22:25:25 -0500

gopher (2.3.1-2) unstable; urgency=low

  * Modify postinst to be easier for people to use if they already have
    a gopher user.
  * Fixed a bug in the restart option for the init script.
  * Made debian/copyright more verbose.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 22 Aug 2000 21:57:26 -0500

gopher (2.3.1-1) unstable; urgency=low

  * Initial re-release.  Package had been yanked after 1995 due to licensing.
  * UMN has just GPL'd gopher.
  * This package contains the security fix from bugtraq.
  * I have patched it to chroot() and setuid() earlier for better
    security.
    SIDE EFFECT: logging will not work if chroot() is used.
  * The extension chopping code was buggy, so I have removed it.
  * Made many fixes to eliminate compiler warnings and errors.
  * Removed redefinitions of sys_errlist
  * Included more header files to bring in relevant prototypes
  * Modified to use Debian paths
  * Modified configure.in to look for -lcrypt
  * Modified Makefile.config.in to use -Wall
  * Removed -DSETPROCTITLE from configure.in to make start-stop-daemon
    work better.
  * Added logrotate
  * Wrote Debian support from scratch.
  * AUTH.h includes crypt.h
  * gopherd/Makefile.in uses separate conffile dir (Debian path)
  * STRstring.h had a paren problem; gcc on alpha brought it out.  Fixed.
  * String.h was missing some header files.
  * Other fixes.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Aug 2000 15:16:07 -0500

Thu Feb  9 21:32:43 1995  Ted Hajek  <tedhajek@all-blues.micro.umn.edu>

	* gopherd/Makefile (install): Fixed syntax error in the
	installation of gopherdlocal.conf.

	* gopher/CURcurses.h: Changed inclusion of curses.h to inclusion
	of "ncurses/curses.h".  Hopefully this will solve strange problems
	with terminal features.

Wed Jul 31 17:31:11 MET DST 1996 Michael Meskes <meskes@debian.org>

	* Renamed function ustat in g_ustat to get gopherd compile with ELF
	libc

	* Corrected version number (Bugs #1718, #1851, #3965)

	* Added Architecture, Priority and Section field (Bug#3933)

	* Changed debian.rules file for new naming scheme

	* Removed 'RECOMMENDS: freeWAIS' line (Bug #1717)

	* Corrected extended description (Bug #3668, #3683)

	* Changed weekly cron script (Bug #3262)

	* Compress manpages

Local variables:
mode: debian-changelog
End:
